<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 
	if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");

	$ip_client = get_ip();
	$action = $_POST['action'];

	if ($action == 'baoveaccip'){
		$lenh = $_POST['lenh'];
		$mauutien = $_POST['mauutien'];
		
		if( $sendsv === false ) { $error = "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif(empty($mauutien)) {
			$error = "Chưa nhập mã ưu tiên";
		}
		elseif (preg_match("/[^a-zA-Z0-9_$]/", $mauutien))
			{
				$error = "<font size='4' color='red'>Dữ liệu lỗi - Mã ưu tiên chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_acc.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'mauutien'    =>  $mauutien,
                'lenh'    =>  $lenh,
                'ip'	=>	$ip_client,
				
                'pagesv'	=>	'sv_acc_baoveaccip',
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) $error = "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				$error = "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if($info[0] == 'OK') {
					$notice = $info[1];
				}
				else $error = $reponse;
			}
		}
	}
$page_template = "templates/acc_manager/baoveaccip.tpl";
?>